Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.errors
Class UnsupportedFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gisgraphy.domain.geoloc.service.errors.UnsupportedFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedFormatException

extends java.lang.RuntimeException

this exception is used when a format is not supported (e.g : not applicable for a specific GisgraphyServiceType

Author:
  David Masclet
See Also:
  Serialized Form

Constructor Summary
`UnsupportedFormatException()`
`UnsupportedFormatException(java.lang.String arg0)`
`UnsupportedFormatException(java.lang.String arg0, java.lang.Throwable arg1)`
`UnsupportedFormatException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedFormatException

    public UnsupportedFormatException()

### UnsupportedFormatException

    public UnsupportedFormatException(java.lang.String arg0,
                                      java.lang.Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -

### UnsupportedFormatException

    public UnsupportedFormatException(java.lang.String arg0)

Parameters:
  `arg0` -

### UnsupportedFormatException

    public UnsupportedFormatException(java.lang.Throwable arg0)

Parameters:
  `arg0` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.